#include "core/session.h"
#include "core/anime_db.h"
#include "gui/window.h"
#include <QApplication>
#include <QStyleFactory>
#include <QTranslator>
#include <QLocale>

Session session;

int main(int argc, char** argv) {
	QApplication app(argc, argv);

	session.config.Load();
	session.config.locale.RefreshAvailableLocales();
	Anime::db.LoadDatabaseFromDisk();

	MainWindow window;

	window.resize(941, 750);
	window.setWindowTitle("Minori");
	window.show();

	return app.exec();
}
